@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

html {
  scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    --white: #FFFFFF;
    --ligth-purple: #F28DFD;
    --medium-purple: #92398D;
    --dark-purple: #250628;
    --ligth-gray: #D4D4D4;
    --dark-gray: #333333;

    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    box-sizing: border-box;
    background: linear-gradient(to bottom, #F7FAFC 0%, #F7FAFC 10%, #FFFFFF); 
    overflow-x: hidden;

    section {
        will-change: transform, opacity;
    }

    .container__hero {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100dvh;
        background-image: 
            linear-gradient(rgba(25, 3, 27, 0.698), rgba(25, 3, 27, 0.698)), 
            url('../assets/images/nis2026/banners/banner.webp')
        ;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        padding: 3.75rem 1.25rem 1.25rem;

        .logos {
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            column-gap: 1rem;

            picture {
                display: flex;
                img {
                    height: 72px;
                }
            }
        }

        .content {
            display: flex;
            flex-direction: column;
            row-gap: 1rem;
            margin-top: 1.25rem;

            h1 {
                width: 100%;
                max-width: 68rem;
                font-size: 1.75rem;
                line-height: 1.25;
                color: var(--white);
                font-weight: 700;
                text-align: center;
                margin: 0 auto;

                > br {
                    display: none;
                }

                span {
                    font-style: italic;
                    color: var(--ligth-purple);
                }
            }

            h2 {
                font-size: clamp(1.25rem, 5vw, 1.5rem);
                line-height: 1.5;
                color: var(--white);
                font-weight: 600;
                text-align: center;
                margin: 0;
            }

            p {
                width: 100%;
                max-width: 50rem;
                font-size: clamp(1.125rem, 5vw, 1.25rem);
                line-height: 1.5;
                color: var(--white);
                font-weight: 400;
                text-align: center;
                margin: 0 auto;
            }

            .marcas {
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                justify-content: center;
                gap: 1rem;
                color: var(--white);

                h3 {
                    position: relative;
                    font-size: 1rem;
                    color: var(--white);
                    font-weight: 600;
                    margin: 0;

                    span {
                        position: relative;
                        top: -.25rem;
                    }
                }
            }

            .detalhes {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                section {
                    display: flex;
                    align-items: center;
                    gap: .5rem;
                    
                    p {
                        font-size: 1rem;
                        color: var(--white);
                        font-weight: 700;
                    }
                }
            }

            .aunarenis {
                display: flex;
                flex-direction: column;
                row-gap: .25rem;

                p {
                    color: var(--white);
                    font-size: 1rem;
                    font-weight: 600;
                    text-align: center;
                }

                h2 {
                    color: var(--ligth-purple);
                    font-size: 1.25rem;
                    font-weight: 700;
                    letter-spacing: .125rem;
                    text-align: center;
                    text-transform: uppercase;
                }
            }
        }

        a {
            display: flex;
            align-items: start;
            justify-content: start;
            width: 26px;
            height: 48px;
            background: transparent;
            border-radius: 13px;
            border: 1px solid var(--white);
            cursor: pointer;
            padding: 8px 0;
            margin: auto auto 0;

            span {
                display: block;
                width: 4px;
                height: 8px;
                border-radius: 50%;
                background-color: var(--white);
                margin: 0 auto;
            }
        }
    }
    
    main {
        position: relative;
        width: 100%;
        margin: 0 auto;
        overflow: hidden;

         > picture {
            position: absolute;
            z-index: -1;

            &:nth-of-type(1) {
                top: 48rem;
                right: 0;
            }

            &:nth-of-type(2) {
                transform: rotate(180deg);
                top: 96rem;
                left: 0;
            }

            &:nth-of-type(3) {
                transform: scaleX(-1);
                bottom: -4rem;
                right: -24rem;
            }
        }
    }

    .container__conheca {
        position: relative;
        padding: 2.5rem 0;

        > h2 {
            width: 100%;
            font-size: clamp(1.5rem, 5vw, 2rem);
            line-height: 1.5;
            color: var(--dark-purple);
            font-weight: 700;
            text-align: center;
            margin: 0;
            padding: 0 1.25rem;

            span {
                color: var(--medium-purple);
            }
        }

        .cards {
            display: grid;
            grid-auto-columns: 334px;
            grid-auto-rows: repeat(2, minmax(260px, 300px));
            grid-auto-flow: column;
            gap: 1.5rem;
            padding: 2.5rem 1.25rem .25rem;
            overflow-x: auto;

            &::-webkit-scrollbar {
                display: none;
            }

            .card {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: start;
                row-gap: .75rem;
                width: 100%;
                height: 100%;
                border: 1px solid var(--ligth-gray);
                border-radius: 1.25rem;
                background-color: var(--white);
                padding: 1rem;

                .content {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;

                    h2, h3 {
                        font-size: 1rem;
                        line-height: 1.5;
                        color: var(--dark-purple);
                        font-weight: 700;
                        text-align: center;
                        margin: 0;

                        span {
                            position: relative;
                            top: -.25rem;
                        }
                    }
    
                    h3 {
                        font-size: .875rem;
                        line-height: 1.5;
                        font-weight: 600;
                    }

                    p {
                        color: var(--dark-gray);
                        font-size: 1rem;
                        line-height: 1.25;
                        text-align: center;
                        margin-top: .75rem;
                    }
                }
            }
        }

        > picture {
            position: absolute;
            bottom: -15rem;
            left: 3rem;
            z-index: -1;
        }
    }

    .container__venha_conferir {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 2.5rem 1.25rem;

        > section {
            h2, h3 {
                font-size: 1.625rem;
                line-height: 1.5;
                color: var(--dark-purple);
                font-weight: 700;
                text-align: center;
                margin: 0;
            }
    
            > span {
                display: flex;
                column-gap: .5rem;
                h3 {
                    color: var(--medium-purple);
                    span {
                        position: relative;
                        top: -.25rem;
                    }
                }
            }
        }

        p {
            font-size: 1.125rem;
            color: var(--dark-purple);
            text-align: center;
            margin-top: 1.25rem;
            padding: 0 .75rem;

            strong {
                font-weight: 500;
            }
        }
    }

    .container__solucoes {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        row-gap: 1.5rem;
        width: 100%;
        max-width: 1200px;
        margin: 0 auto;
        padding: 2.5rem 1.25rem;

        h2 {
            font-size: 1.5rem;
            line-height: 1.5;
            color: var(--dark-purple);
            font-weight: 700;
            text-align: center;
            margin: 0;

            span {
                color: var(--medium-purple);
            }
        }

        .card {
            display: flex;
            flex-direction: column;
            align-items: start;
            justify-content: start;
            row-gap: .75rem;
            border: 1px solid var(--ligth-gray);
            border-radius: 1.25rem;
            background: linear-gradient(to bottom, #FFFFFF 0%, #FFFFFF 5%, #FCF8FC 100%); 
            padding: 1.5rem;

            .content {
                display: flex;
                flex-direction: column;
                align-items: start;
                justify-content: start;

                h2 {
                    font-size: 1.5rem;
                    line-height: 1.5;
                    color: var(--dark-purple);
                    font-weight: 700;
                    margin: 0;

                    span {
                        position: relative;
                        top: -.25rem;
                    }
                }

                article {
                    display: flex;
                    column-gap: .5rem;

                    h3 {
                        font-size: 1.125rem;
                        line-height: 1.5;
                        font-weight: 500;
                    }
                }

                p {
                    color: var(--dark-gray);
                    font-size: 1rem;
                    font-weight: 500;
                    line-height: 1.25;
                    margin-top: .75rem;
                }
            }
        }
    }

    .container__provar {
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 1rem;
        padding-bottom: 2.5rem;

        > h2 {
            font-size: 1.5rem;
            line-height: 1.5;
            color: var(--dark-purple);
            font-weight: 700;
            text-align: center;
            margin: 0;

            span {
                color: var(--medium-purple);
            }
        }

        > p {
            font-size: 1.125rem;
            color: var(--dark-purple);
            text-align: center;
            padding: 0 1.25rem;

            strong {
                font-weight: 500;
            }
        }
        
        .cards {
            display: flex;
            flex-direction: column;
            row-gap: 1rem;

            .card {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                width: 100%;
                max-width: 250px;
                height: 160px;
                row-gap: .75rem;
                border: 1px solid var(--ligth-gray);
                border-radius: 1.25rem;
                background: var(--white);
                padding: 1.25rem;

                h3 {
                    color: var(--dark-purple);
                    font-size: 1.125rem;
                    line-height: 1.5;
                    font-weight: 700;
                }

                p {
                    color: var(--dark-purple);
                    font-size: 1rem;
                    font-weight: 600;
                    line-height: 1.25;
                    margin-top: .75rem;
                }
            }
        }
    }

    .container__futuro {
        position: relative;
        display: flex;
        flex-direction: column;
        row-gap: 1.25rem;
        width: 100%;
        height: 100%;
        max-height: 385px;
        background-image: 
            linear-gradient(rgba(25, 3, 27, 0.698), rgba(25, 3, 27, 0.698)), 
            url('../assets/images/nis2026/banners/banner.webp')
        ;
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        padding: 2.5rem 1.25rem;
        overflow: hidden;
        z-index: 10;

        &::after {
            content: 'FUTURO';
            position: absolute;
            font-size: clamp(5rem, 22vw, 22vw);
            font-weight: 700;
            letter-spacing: 1rem;
            top: -2.5rem;
            left: 50%;
            transform: translateX(-50%);
            color: var(--white);
            opacity: .05;
        }

        > h2 {
            font-size: 1.5rem;
            line-height: 1.5;
            color: var(--white);
            font-weight: 700;
            text-align: center;
            margin: 0;

            span {
                color: var(--ligth-purple);
            }
        }

        > p {
            font-size: 1.25rem;
            color: var(--white);
            font-weight: 600;
            text-align: center;
        }

        .content {
            display: flex;
            flex-direction: column;
            gap: 1.5rem;
            
            .logos {
                width: 100%;
                display: grid;
                grid-template-columns: 52% 48%;
                grid-template-rows: 4rem;
                column-gap: 1rem;
    
                picture {
                    img {
                        width: 100%;
                        height: 100%;
                        object-fit: contain;
                        object-position: center;
                    }
    
                    &:nth-child(1) {
                        margin-left: auto;
                    }
                    &:nth-child(2) {
                        margin-right: auto;
                    }
                }
            }
    
            .detalhes {
                display: flex;
                flex-direction: column;
                align-items: center;
                row-gap: .5rem;
                justify-content: center;
    
                section {
                    display: flex;
                    align-items: center;
                    gap: .5rem;
                    
                    p {
                        font-size: 1rem;
                        color: var(--white);
                        font-weight: 700;
                    }
                }
            }
        }
    }

    .container__visitantes {
        display: flex;
        flex-direction: column;
        row-gap: 1rem;
        padding: 2.5rem 0;

        > h2 {
            width: 100%;
            font-size: clamp(1.5rem, 5vw, 2rem);
            line-height: 1.5;
            color: var(--dark-purple);
            font-weight: 700;
            text-align: center;
            margin: 0;
            padding: 0 1.25rem;

            span {
                color: var(--medium-purple);
            }
        }

        .cards {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-wrap: wrap;
            align-items: center;
            gap: 1.5rem;
            padding: 0 1.25rem;
            overflow-x: auto;

            .card {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: start;
                width: 100%;
                min-width: 300px;
                max-width: 334px;
                height: 225px;
                row-gap: .75rem;
                border: 1px solid var(--ligth-gray);
                border-radius: 1.25rem;
                background-color: var(--white);
                padding: 1rem;

                h3 {
                    font-size: 1.125rem;
                    line-height: 1.25;
                    color: var(--dark-purple);
                    font-weight: 700;
                    text-align: center;
                    margin: 0;
                }
            }
        }
    }

    .container__formulario {
        display: flex;
        flex-direction: column;
        row-gap: 1.25rem;
        padding: 0 1.125rem;

        > h2 {
            width: 100%;
            max-width: 48rem;
            font-size: 1.25rem;
            line-height: 1.5;
            color: var(--medium-purple);
            font-weight: 600;
            text-align: center;
            margin: 0;
            padding: 0 1.25rem;
            margin: 0 auto;

            strong {
                font-weight: 700;
            }
        }

        form {
            display: flex;
            flex-direction: column;
            row-gap: 1rem;
            width: 100%;
            border-radius: 1.375rem;
            border: 1px solid var(--ligth-gray);
            background-color: #F7FAFC;
            padding: 1.875rem;

            input, select {
                width: 100%;
                border: 1px solid var(--dark-purple);
                border-radius: .75rem;
                background-color:  rgba(140, 49, 137, .1);
                padding: .75rem 1rem;
                font-size: 1rem;
                color: var(--dark-purple);
                font-weight: 400;

                &::placeholder {
                    color: var(--dark-purple);
                    font-weight: 400;
                }
            }

            .is-invalid {
                border-color: #B42318;
                background-color: rgba(180, 35, 24, .08);
            }

            .form-nis-error {
                display: block;
                margin-left: .6rem;
                font-size: .875rem;
                line-height: 1.35;
                color: #B42318;
            }

            select {
                cursor: pointer;
                appearance: none;
                background-image: url('../assets/images/nis2026/icones/icone_chevron.png');
                background-repeat: no-repeat;
                background-position: right 8px center;
                background-size: 18px;
            }

            button {
                font-size: .875rem;
                color: var(--white);
                background: var(--medium-purple);
                text-transform: uppercase;
                text-align: center;
                padding: 1.125rem 1rem;
                border-radius: .75rem;
                border: 2px solid var(--ligth-purple);
                transition: all .3s ease-in-out;
                cursor: pointer;
            }

            button:disabled {
                opacity: .7;
                cursor: wait;
            }
        }
    }

    > footer {
        display: flex;
        flex-direction: column;
        row-gap: 1.25rem;
        padding: 3rem 1.25rem 2rem;

        h3, h4, address {
            font-size: 1.25rem;
            line-height: 1.25;
            color: var(--dark-purple);
            font-weight: 600;
            text-align: center;
            margin: 0;
        }

        h4, address {
            font-size: 1rem;
            font-weight: 400;
            font-style: normal;
        }

        .links {
            display: flex;
            align-items: center;
            justify-content: center;
            column-gap: .5rem;
            flex-wrap: wrap;
            row-gap: .5rem;

            a {
                font-size: 1rem;
                color: var(--dark-gray);
                font-weight: 400;
                text-align: center;
                text-decoration: none;
                transition: all .3s ease-in-out;

                &:nth-of-type(1) {
                    color: var(--medium-purple);
                    text-decoration: underline;
                    text-underline-offset: .125rem;
                }
            }
        }

        .redes {
            display: flex;
            align-items: center;
            justify-content: center;
            column-gap: .5rem;
        }

        > p {
            font-size: .875rem;
            line-height: 1.25;
            color: var(--dark-gray);
            text-align: center;
            margin: 0;

            a {
                color: var(--dark-gray);
                text-underline-offset: .125rem;
            }
        }
    }
}

@media (min-width: 768px) {
    body {
        .container__conheca {
            padding: 110px 0;

            > h2 {
                max-width: 80rem;
                font-size: 2.5rem;
                margin: 0 auto;
            }

            .cards {
                grid-template-columns: repeat(2, minmax(300px, 380px));
                grid-auto-rows: repeat(2, minmax(260px, 300px));
                grid-auto-flow: row;
                align-items: center;
                justify-content: center;

                .card {
                    .content {
                        h2, h3 {
                            font-size: 1.125rem;
                        }
        
                        h3 {
                            font-size: 1rem;
                            line-height: 1.5;
                            font-weight: 600;
                        }
                    }
                }
            }
        }

        .container__provar {
            row-gap: 1.75rem;

            .cards {
                flex-direction: row;
                column-gap: 1rem;
                .card {
                    width: 270px;
                    height: 170px;
                    h3 {
                        font-size: 1.25rem;
                    }
                }
            }
        }

        .container__formulario {
            row-gap: 30px;

            > h2 {
                font-size: 1.375rem;
            }

            form {
                width: 100%;
                max-width: 680px;
                display: grid;
                grid-template-columns: repeat(2, 1fr);
                grid-auto-rows: auto;
                gap: .75rem;
                margin: 0 auto;
                padding: 50px;

                section {
                    &:nth-of-type(6),
                    &:nth-of-type(7),
                    &:nth-of-type(8),
                    &:nth-of-type(9),
                    &:nth-of-type(10),
                    &:nth-of-type(11) {
                        grid-column: span 2;
                    }

                    input {
                        width: 100%;
                    }
                    input[name="email"],
                    input[name="confirmarEmail"],
                    input[name="segmento"],
                    input[name="interesse"],
                    select[name="produto"],
                    input[name="codigo"],

                    button {
                        width: 100%;
                        grid-column: span 2;
                    }
                }

                button {
                    width: 100%;
                    grid-column: span 2;
                    padding: 1.125rem 1.375rem;
                }
            }
        }
    }
}

@media (min-width: 1024px) {
    body {
        .container__hero {
            height: 100dvh;
            min-height: fit-content;
            padding-top: 130px;

            .logos {
                picture {
                    img {
                        height: 100px;
                    }
                }
            }

            .content {
                h1 {
                    font-size: 2.625rem;

                    > br {
                        display: none;
                    }
                }

                .detalhes {
                    flex-direction: row;
                    column-gap: 1.5rem;

                    section {
                        img {
                            width: 26px;
                            height: 26px;
                        }
                        
                        p {
                            font-size: 1.25rem;
                        }
                    }
                }

                .aunarenis {
                    display: flex;
                    flex-direction: column;
                    row-gap: .25rem;

                    p {
                        color: var(--white);
                        font-size: 1.25rem;
                        font-weight: 600;
                        text-align: center;
                    }

                    h2 {
                        color: var(--ligth-purple);
                        font-size: 1.375rem;
                        font-weight: 700;
                        letter-spacing: .125rem;
                        text-align: center;
                        text-transform: uppercase;
                    }
                }
            }
        }

        .container__conheca {
            padding: 110px 0;

            > h2 {
                max-width: 80rem;
                font-size: 2.5rem;
                margin: 0 auto;
            }

            .cards {
                grid-template-columns: repeat(3, minmax(300px, 380px));
                grid-auto-rows: repeat(2, minmax(260px, 300px));
                grid-auto-flow: row;
                align-items: center;
                justify-content: center;

                .card {
                    .content {
                        h2, h3 {
                            font-size: 1.125rem;
                        }
        
                        h3 {
                            font-size: 1rem;
                            line-height: 1.5;
                            font-weight: 600;
                        }
                    }
                }
            }
        }

        .container__venha_conferir {
            padding: 0 1.25rem 2.5rem;
            > section {
                display: flex;
                column-gap: 1rem;

                h2, h3 {
                    font-size: 2.5rem;
                }
    
                > span {
                    align-items: center;
                    column-gap: 1.5rem;

                    h3 {
                        color: var(--medium-purple);
                        span {
                            position: relative;
                            top: -.25rem;
                        }
                    }

                    picture {
                        img {
                            width: 140px;
                            height: 52px;
                        }
                    }
                }
            }

            > p {
                max-width: 40rem;
                font-size: 1.375rem;
            }
        }

        .container__solucoes {
            flex-direction: row;
            column-gap: 1rem;

            > h2 {
                width: 50%;
                font-size: 2.5rem;
                text-align: left;
            }

            .card {
                width: 50%;
                padding: 2.5rem;

                .content {
                    > h2 {
                        font-size: 2rem;
                        margin-bottom: 1.25rem;
                    }

                    article {
                        figure {
                            img {
                                width: 30px;
                                height: 30px;
                            }
                        }
                        h3 {
                            font-size: 1.5rem;
                        }
                    }

                    p {
                        font-size: 1.5rem;
                        margin-top: 1.25rem;
                    }
                }
            }
        }

        .container__provar {
            padding: 2.5rem 0;
            > h2 {
                font-size: 2.5rem;
            }
            > p {
                max-width: 30rem;
                font-size: 1.375rem;

                &:nth-of-type(2) {
                    max-width: 60rem;
                }
            }
        }

        .container__futuro {
            height: auto;
            max-height: fit-content;
            row-gap: 2.5rem;
            padding: 6rem 0;

            &::after {
                top: -6.5rem;
            }

            > h2 {
                font-size: 2.625rem;
            }

            > p {
                font-size: 1.625rem;
            }

            .content {
                flex-direction: row;
                width: 100%;
                max-width: 54rem;
                margin: 0 auto;

                .logos {
                    display: flex;
                    justify-content: end;
                    width: 40%;

                    picture {
                        img {
                            height: 125px;
                        }
                    }
                }
                .detalhes {
                    width: 60%;
                    justify-content: start;
                    align-items: start;
                    row-gap: 1.125rem;

                    section {
                        img {
                            width: 30px;
                            height: 30px;
                        }
                        > p {
                            font-size: 1.5rem;
                            font-weight: 600;
                        }
                    }
                }
            }
        }

        .container__visitantes {
            row-gap: 2.5rem;
            padding: 60px 0 80px;

            > h2 {
                width: 100%;
                max-width: 60rem;
                font-size: 2.5rem;
                line-height: 1.25;
                margin: 0 auto;
            }

            .cards {
                flex-direction: row;
                column-gap: 1.5rem;
                margin: 0 auto;
            }
        }

        footer {
            padding: 148px 0 60px;

            article {
                h4 {
                    font-size: 1.25rem;
                }

                address {
                    font-size: 1.125rem;
                }
            }

            p {
                font-size: 1.125rem;
            }
        }
    }
}